package servertest;

import java.io.FileNotFoundException;
import java.io.IOException;

public class Main {

	public static void main(String[] args) throws FileNotFoundException, IOException {
		if(args.length == 0) {
			System.out.println("Not enough arguments!");
			System.out.println("Usage: java -jar servertest.jar path/to/your/folder/with/pom.xml [PORT]");
		}
		String pathToTestedFolder = args[0];
		
		int port = 8080;
		if(args.length > 1) {
			port = Integer.parseInt(args[1]);
		} else {
			System.out.println("Using default port: " + port + " you can change this by supplying port as second argument.");
		}
		
		new Test(pathToTestedFolder, port);
	}
	
}
