package servertest;

import java.io.FileNotFoundException;
import java.io.PrintWriter;

import lombok.experimental.Delegate;

public class ReportWriter implements AutoCloseable {

	@Delegate
	protected PrintWriter writer;
	
	public ReportWriter(String fname) throws FileNotFoundException {
		writer = new PrintWriter(fname);
	}
	
	public ReportWriter encloseTag(String tag, String attrs, String html) {
		println("<"+tag+" "+attrs+" >" + html + "</" + tag + ">");
		return this;
	}
	
}
